Subject: [Idr] Comments report on WG adoption of draft-li-idr-bgp-ls-sr-policy-path-segment-03.txt and draft-li-sr-policy-path-segment-01.txt

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Fri, 15 Nov 2019 03:34:51 +0000

Hi Susan and WG,

Sorry for my delay. :(

a)      We listed the comments received on WG adoption call in the below table.

b)      We will address these comments after IETF 106 ASAP.

c)       Also we request for implementations of all the vendors, if you have implemented these two documents, please feel free to share it on ML.

Many Thanks and hope to see you guys at Singapore.
Cheng

Name

Comments

Notes

Cheng Li

We will update the draft to support multiple bidirectional path in ECMP by copying weight TLV to SR Bidir path sub-TLV in the near future.

Next revision

Linda Dunbar

draft-li-idr-bgp-ls-sr-policy-path-segment-03 has a statement in the Abstract stating that the document is to define ways for collecting configuration and states of SR policies by BGP-LS. So, it really not SR Policies Extensions (as stated in the title), is it?

Will check the name

Why not have a separate name to represent the "resource or attributes" of the path?

Aijun Wang

Can these two drafts be merged into one?

Dhruv Dhody

https://mailarchive.ietf.org/arch/msg/idr/2Z7bjxLELWLosG9ryuR2vpwiB-0

Tianran Zhou

Here are some editorial nits are:
1. in abstract: unidirctional -> unidirectional
2. in introduction: carriying -> carrying
3. in section 3: idendifying -> identifying
4. in section 4: Bidirectioanl -> Bidirectional
5. in section 5: beyong -> beyond; receiption -> reception

And it's better to give some initial security considerations in this draft.

Ketan Talaulikar

https://mailarchive.ietf.org/arch/msg/spring/CyaI2IfkUOnc0lGIe3rdbijYhpQ

Susan Hares

I expect from the authors to send an email to IDR with the following:

a)       a summary of comments received on WG adoption call,

b)      Plans for refining and progressing their drafts, and

c)       status of any implementations.

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Friday, October 25, 2019 10:33 PM
To: 'idr wg' <[email-masked]>
Subject: Re: [Idr] Adoption: draft-li-idr-bgp-ls-sr-policy-path-segment-03.txt and draft-li-sr-policy-path-segment-01.txt - 1 week extension [10/14 to 10/21/2019]

Greeting:

It seems I asked the questions about these two drafts to the correct places (IDR and Spring).

These two drafts have enough interest to become IDR WG drafts.  Please submit the following:

*         draft-li-idr-bgp-ls-sr-policy-path-segment-03.txt  as draft-ietf-idr-bgp-ls-sr-policy-path-segment-0.txt

*         draft-li-sr-policy-path-segment-01.txt as draft-ietf-idr-sr-policy-path-segment-00.txt.

The authors should carefully pay attention to the email.

I expect from the authors to send an email to IDR with the following:

a)       a summary of comments received on WG adoption call,

b)      Plans for refining and progressing their drafts, and

c)       status of any implementations.

A big thanks to all who comment on these drafts.  A special thanks to Bruno Decraene who provided extra insight on the links to Spring technologies.

Susan Hares